GNU bug report logs - #13685
a way to say that dir-locals should only apply to buffers with files

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Glenn Morris <rgm@HIDDEN>; dated Mon, 11 Feb 2013 01:55:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 13685 <at> debbugs.gnu.org:


Received: (at 13685) by debbugs.gnu.org; 21 Feb 2013 16:18:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 21 11:18:17 2013
Received: from localhost ([127.0.0.1]:42626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U8Yqe-0005UX-QC
	for submit <at> debbugs.gnu.org; Thu, 21 Feb 2013 11:18:17 -0500
Received: from z.lifelogs.com ([173.255.230.239]:59972)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <tzz@HIDDEN>) id 1U8Yqc-0005UM-7H
	for 13685 <at> debbugs.gnu.org; Thu, 21 Feb 2013 11:18:15 -0500
Received: from heechee (c-24-60-176-11.hsd1.ma.comcast.net [24.60.176.11])
	(using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
	(No client certificate requested) (Authenticated sender: tzz)
	by z.lifelogs.com (Postfix) with ESMTPSA id F145D2085E;
	Thu, 21 Feb 2013 16:16:55 +0000 (UTC)
From: Ted Zlatanov <tzz@HIDDEN>
To: Josh <josh@HIDDEN>
Subject: Re: bug#13685: a way to say that dir-locals should only apply to
	buffers with files
Organization: =?utf-8?B?0KLQtdC+0LTQvtGAINCX0LvQsNGC0LDQvdC+0LI=?= @ Cienfuegos
References: <emtxpj7gzs.fsf@HIDDEN>
	<qspq06mfce.fsf@HIDDEN>
	<CANdFEAETs4mXrO-560+qXeNhR_-MKxiqeHMO4t4SG+AZAkemrw@HIDDEN>
X-Face: bd.DQ~'29fIs`T_%O%C\g%6jW)yi[zuz6;
	d4V0`@y-~$#3P_Ng{@m+e4o<4P'#(_GJQ%TT=
	D}[Ep*b!\e,fBZ'j_+#"Ps?s2!4H2-Y"sx"
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Thu, 21 Feb 2013 11:16:55 -0500
In-Reply-To: <CANdFEAETs4mXrO-560+qXeNhR_-MKxiqeHMO4t4SG+AZAkemrw@HIDDEN>
	(josh@HIDDEN's message of "Tue, 12 Feb 2013 19:24:19 -0800")
Message-ID: <874nh5wsjs.fsf@HIDDEN>
User-Agent: Gnus/5.130006 (Ma Gnus v0.6) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13685
Cc: Glenn Morris <rgm@HIDDEN>, 13685 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On Tue, 12 Feb 2013 19:24:19 -0800 Josh <josh@HIDDEN> wrote: 

J> Or more generally, the cdr could specify a predicate taking a single
J> argument (the buffer), e.g.
J> (apply-if . buffer-file-name)
...

J> Likewise, (apply-if . (lambda (buffer) (not (buffer-file-name buffer))))

I like the idea, but why not structure it like a cond statement since
that's what you're doing anyway?

Ted




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13685; Package emacs. Full text available.

Message received at 13685 <at> debbugs.gnu.org:


Received: (at 13685) by debbugs.gnu.org; 13 Feb 2013 17:19:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 13 12:19:10 2013
Received: from localhost ([127.0.0.1]:54414 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U5fzC-0004x4-ID
	for submit <at> debbugs.gnu.org; Wed, 13 Feb 2013 12:19:10 -0500
Received: from mail-qa0-f49.google.com ([209.85.216.49]:61150)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jlf@HIDDEN>) id 1U5fzA-0004wx-OM
	for 13685 <at> debbugs.gnu.org; Wed, 13 Feb 2013 12:19:09 -0500
Received: by mail-qa0-f49.google.com with SMTP id o13so655985qaj.1
	for <13685 <at> debbugs.gnu.org>; Wed, 13 Feb 2013 09:18:36 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=google.com; s=20120113;
	h=x-received:mime-version:sender:in-reply-to:references:from:date
	:x-google-sender-auth:message-id:subject:to:cc:content-type
	:x-gm-message-state;
	bh=AT4r7C0c2TmaQ/nuALQjBE5sc2tcdke4dXj1LfOWDtA=;
	b=GW/2OVSQ5ZDPRoU+j0BvKr5SSzyBQuzq6sQZzl82Cgoh0Q7ZtyOwIx09B+bpPSunIY
	WBO/ST47ooLw9sm9vr8vrZGAxVLMcmpxZj7nL8xDqkMJQf6pUPPQA2pXjT+2V1RvfDyW
	sGZVumoid3VVw6cUJ4WNjuGremvLASPcVZApK796cRPhuwnU6/KbOAbIlCQ/xZtHNyYN
	vvt4GHcNAhjjD1qdXdYlBR+THqTeDalU8hhbkCW4U/MQFkWETHkdAESokSuR1RAJcQcz
	0cgeJZ81IzCoFk1ZpifcwpJIxkiozrbu53LjX80w5LdFuzQobYyHjKPN4tb2ZvsJsbDM
	LD0A==
X-Received: by 10.229.201.98 with SMTP id ez34mr2093632qcb.29.1360775915968;
	Wed, 13 Feb 2013 09:18:35 -0800 (PST)
MIME-Version: 1.0
Received: by 10.49.109.99 with HTTP; Wed, 13 Feb 2013 09:18:05 -0800 (PST)
In-Reply-To: <mvmobfo4nm4.fsf@HIDDEN>
References: <emtxpj7gzs.fsf@HIDDEN>
	<qspq06mfce.fsf@HIDDEN>
	<CANdFEAETs4mXrO-560+qXeNhR_-MKxiqeHMO4t4SG+AZAkemrw@HIDDEN>
	<mvmobfo4nm4.fsf@HIDDEN>
From: Josh <josh@HIDDEN>
Date: Wed, 13 Feb 2013 09:18:05 -0800
X-Google-Sender-Auth: c3KcRcazAim--tpX4mkTaJQgnbA
Message-ID: <CANdFEAFx8rtfdpk+p+pmE9VNHWfES-O8-w279iYiWFnQksAs4A@HIDDEN>
Subject: Re: bug#13685: a way to say that dir-locals should only apply to
	buffers with files
To: Andreas Schwab <schwab@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Gm-Message-State: ALoCoQkNOAq/7DccdiQ0w2VF/qGOMIMwrWr1xshv02ZAGg1iyWtIA5HtqAnru6t9DapGNWhm1Tu4
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 13685
Cc: Glenn Morris <rgm@HIDDEN>, 13685 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On Wed, Feb 13, 2013 at 12:36 AM, Andreas Schwab <schwab@HIDDEN> wrote:
> Josh <josh@HIDDEN> writes:
>
>> Likewise, (apply-if . (lambda (buffer) (not (buffer-file-name buffer))))
>
> Be careful about execution of arbitrary code.
>
> Andreas.

Indeed, such a feature should be governed by `enable-local-eval' and
`safe-local-eval-forms' or similar, with `buffer-file-name' being an
element of the latter by default.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13685; Package emacs. Full text available.

Message received at 13685 <at> debbugs.gnu.org:


Received: (at 13685) by debbugs.gnu.org; 13 Feb 2013 08:36:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 13 03:36:38 2013
Received: from localhost ([127.0.0.1]:53214 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U5XpV-000750-OK
	for submit <at> debbugs.gnu.org; Wed, 13 Feb 2013 03:36:38 -0500
Received: from mail-out.m-online.net ([212.18.0.9]:39701)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <whitebox@HIDDEN>) id 1U5XpT-00074r-Jn
	for 13685 <at> debbugs.gnu.org; Wed, 13 Feb 2013 03:36:36 -0500
Received: from frontend1.mail.m-online.net (unknown [192.168.8.180])
	by mail-out.m-online.net (Postfix) with ESMTP id 3Z5Ywh2jjMz4KK23;
	Wed, 13 Feb 2013 09:36:04 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.68])
	by mail.m-online.net (Postfix) with ESMTP id 3Z5Ywh1kPfzbbg7;
	Wed, 13 Feb 2013 09:36:04 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.180])
	by localhost (dynscan1.mail.m-online.net [192.168.6.68]) (amavisd-new,
	port 10024)
	with ESMTP id 4_RKmVDujpRn; Wed, 13 Feb 2013 09:36:03 +0100 (CET)
X-Auth-Info: V+MY8CJN1IIEWEQDler9aLxtJ9+gX1MOxMvoYm1olEA=
Received: from hawking.suse.de (nat.nue.novell.com [195.135.221.2])
	(using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
	(No client certificate requested)
	by mail.mnet-online.de (Postfix) with ESMTPSA;
	Wed, 13 Feb 2013 09:36:03 +0100 (CET)
From: Andreas Schwab <schwab@HIDDEN>
To: Josh <josh@HIDDEN>
Subject: Re: bug#13685: a way to say that dir-locals should only apply to
	buffers with files
References: <emtxpj7gzs.fsf@HIDDEN>
	<qspq06mfce.fsf@HIDDEN>
	<CANdFEAETs4mXrO-560+qXeNhR_-MKxiqeHMO4t4SG+AZAkemrw@HIDDEN>
X-Yow: I brought my BOWLING BALL - and some DRUGS!!
Date: Wed, 13 Feb 2013 09:36:03 +0100
In-Reply-To: <CANdFEAETs4mXrO-560+qXeNhR_-MKxiqeHMO4t4SG+AZAkemrw@HIDDEN>
	(josh@HIDDEN's message of "Tue, 12 Feb 2013 19:24:19 -0800")
Message-ID: <mvmobfo4nm4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 13685
Cc: Glenn Morris <rgm@HIDDEN>, 13685 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Josh <josh@HIDDEN> writes:

> Likewise, (apply-if . (lambda (buffer) (not (buffer-file-name buffer))))

Be careful about execution of arbitrary code.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13685; Package emacs. Full text available.

Message received at 13685 <at> debbugs.gnu.org:


Received: (at 13685) by debbugs.gnu.org; 13 Feb 2013 03:25:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 12 22:25:22 2013
Received: from localhost ([127.0.0.1]:53009 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U5SyI-0004Ro-4l
	for submit <at> debbugs.gnu.org; Tue, 12 Feb 2013 22:25:22 -0500
Received: from mail-qe0-f41.google.com ([209.85.128.41]:51024)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jlf@HIDDEN>) id 1U5SyF-0004Re-Jy
	for 13685 <at> debbugs.gnu.org; Tue, 12 Feb 2013 22:25:20 -0500
Received: by mail-qe0-f41.google.com with SMTP id 7so353995qeb.28
	for <13685 <at> debbugs.gnu.org>; Tue, 12 Feb 2013 19:24:50 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=google.com; s=20120113;
	h=x-received:mime-version:sender:in-reply-to:references:from:date
	:x-google-sender-auth:message-id:subject:to:cc:content-type
	:x-gm-message-state;
	bh=O2L10uRqzqF5LVipt67Lv/GiYXi79X/oe4XGP/znWsY=;
	b=ja/rMlZa7uMphk+XA5HX6RMyDVtObyERQwDvcR/+rY9q5AAMbnA2vAjEUMZCo1Z55q
	aq0218CuPAbC+dRE/YRK3ERwfNdiNFN4hmDY7adi0l9/9x0xdSJtFmuukR1cH0yOrfa+
	8L5dtKWBRGbpTOyKuAUtO13C5CGUcGiCZJzyRcOTiP+VdS1K+SN7ykgPIMbgHOwX53nF
	m1OaUL6X4JILJk30rrEjP12i2az4OMX08wBJGZDxpRv5fJQwuRj+egTEml0kMY/I8Rdu
	hFRgmx25M3noNYMJ7YpCnlarfiy2RbuBuvwnISjpuJDij1/jt3+t4ZgYy0Uhlr6v7ddh
	ytVQ==
X-Received: by 10.49.59.131 with SMTP id z3mr9206182qeq.1.1360725889844; Tue,
	12 Feb 2013 19:24:49 -0800 (PST)
MIME-Version: 1.0
Received: by 10.49.109.99 with HTTP; Tue, 12 Feb 2013 19:24:19 -0800 (PST)
In-Reply-To: <qspq06mfce.fsf@HIDDEN>
References: <emtxpj7gzs.fsf@HIDDEN>
	<qspq06mfce.fsf@HIDDEN>
From: Josh <josh@HIDDEN>
Date: Tue, 12 Feb 2013 19:24:19 -0800
X-Google-Sender-Auth: 5jp8tM92QOxoitpjQYv5Tj9XhNs
Message-ID: <CANdFEAETs4mXrO-560+qXeNhR_-MKxiqeHMO4t4SG+AZAkemrw@HIDDEN>
Subject: Re: bug#13685: a way to say that dir-locals should only apply to
	buffers with files
To: Glenn Morris <rgm@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Gm-Message-State: ALoCoQlVm4OTiDBqHwnpwmnKyydXa8J9GNbERg8sDl0XX0nrtysgQB42muCOmgttZ1ToYenff9GE
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13685
Cc: 13685 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On Mon, Feb 11, 2013 at 6:32 PM, Glenn Morris <rgm@HIDDEN> wrote:
> Glenn Morris wrote:
>
>> I think there should be some way in a dir-locals file to say
>> "these settings should only be applied to buffers with files".
>> Sometimes some options are not appropriate for file-less buffers.
>> Ref bug#11127.
>
> This seems easy to do, but I don't know what the best UI is.
> An element in the dir-locals list:
>
>   (fileonly . t)
>
> or
>
>   (apply-to . files)

Or more generally, the cdr could specify a predicate taking a single
argument (the buffer), e.g.
(apply-if . buffer-file-name)

> The latter allows for
>
>   (apply-to . nonfiles)
>
> as well (though I can't think of a use for that).

Likewise, (apply-if . (lambda (buffer) (not (buffer-file-name buffer))))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13685; Package emacs. Full text available.

Message received at 13685 <at> debbugs.gnu.org:


Received: (at 13685) by debbugs.gnu.org; 12 Feb 2013 02:33:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 11 21:33:15 2013
Received: from localhost ([127.0.0.1]:51288 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U55gJ-000480-AM
	for submit <at> debbugs.gnu.org; Mon, 11 Feb 2013 21:33:15 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:52561)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1U55gH-00047t-BB
	for 13685 <at> debbugs.gnu.org; Mon, 11 Feb 2013 21:33:14 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1U55ft-0004O6-Br; Mon, 11 Feb 2013 21:32:49 -0500
From: Glenn Morris <rgm@HIDDEN>
To: 13685 <at> debbugs.gnu.org
Subject: Re: a way to say that dir-locals should only apply to buffers with
	files
References: <emtxpj7gzs.fsf@HIDDEN>
X-Spook: STARLAN S Box CIA covert video Soviet Roswell satellite
X-Ran: 313-bh1*/v<{f&q=&{%!Bfi7gN)5{rVr]swJ^m#A3n:+>%/PfO:y+AlwP<j!E{|ApDi$(#
X-Hue: red
X-Attribution: GM
Date: Mon, 11 Feb 2013 21:32:49 -0500
In-Reply-To: <emtxpj7gzs.fsf@HIDDEN> (Glenn Morris's message of
	"Sun, 10 Feb 2013 20:53:59 -0500")
Message-ID: <qspq06mfce.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 13685
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

Glenn Morris wrote:

> I think there should be some way in a dir-locals file to say
> "these settings should only be applied to buffers with files".
> Sometimes some options are not appropriate for file-less buffers.
> Ref bug#11127.

This seems easy to do, but I don't know what the best UI is.
An element in the dir-locals list:

  (fileonly . t)

or

  (apply-to . files)

The latter allows for

  (apply-to . nonfiles)

as well (though I can't think of a use for that).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13685; Package emacs. Full text available.

Message received at quiet <at> debbugs.gnu.org:


Received: (at quiet) by debbugs.gnu.org; 11 Feb 2013 01:54:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 10 20:54:18 2013
Received: from localhost ([127.0.0.1]:49624 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U4ib4-0005uD-Bu
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2013 20:54:18 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:38744)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1U4ib2-0005u6-TO
	for quiet <at> debbugs.gnu.org; Sun, 10 Feb 2013 20:54:17 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1U4ial-0001Uq-7J; Sun, 10 Feb 2013 20:53:59 -0500
From: Glenn Morris <rgm@HIDDEN>
To: quiet <at> debbugs.gnu.org
Subject: a way to say that dir-locals should only apply to buffers with files
X-Spook: Al-Qaeda ASPIC Mole plutonium credit card Guantanamo
X-Ran: /cpZ:!Tt=)2/''hsb6=8z<3jdy~n14\p_suUDB$(~_-%E7AA/}BvF?E3IDArag2%@FWHUH
X-Hue: magenta
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sun, 10 Feb 2013 20:53:59 -0500
Message-ID: <emtxpj7gzs.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: quiet
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

Package: emacs
Severity: wishlist
Version: 24.3

I think there should be some way in a dir-locals file to say
"these settings should only be applied to buffers with files".
Sometimes some options are not appropriate for file-less buffers.
Ref bug#11127.




Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.